Bug 1442147

Summary: anamon does not work on Fedora 26 because it only has python3 not python
Product: [Community] Beaker Reporter: Anthony Gialluca <agialluc>
Component: generalAssignee: Dan Callaghan <dcallagh>
Status: CLOSED CURRENTRELEASE QA Contact: Dan Callaghan <dcallagh>
Severity: high Docs Contact:
Priority: medium    
Version: 24CC: amsharma, bpeck, dcallagh, dgilmore, jbieren, jpazdziora, mjia, rjoost
Target Milestone: 24.3Keywords: Patch
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-05-30 07:07:59 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Comment 1 Bill Peck 2017-04-17 14:50:58 UTC
https://gerrit.beaker-project.org/#/c/5661/6

Comment 2 Jan Pazdziora 2017-05-07 19:00:31 UTC
Could the fix be productized so that Fedora 26 gets usable in beaker?

As an aside, Fedora rawhide provisions just fine -- why is Fedora 26 harder to get deployed?

Comment 3 Dan Callaghan 2017-05-07 23:29:57 UTC
This bug doesn't cause provisioning to fail, only the logs not to be uploaded. I haven't tested rawhide recently but I imagine it does suffer the same problem.

Jon Masters pointed out that this patch is not actually sufficent so there is more fixing needed here.

Comment 4 Jan Pazdziora 2017-05-09 07:41:41 UTC
Ah, good to know.

I confirm that it's not a blocker for provisioning, adding no_updates_repos to workaround bug 1442146 makes Fedora 26 install and boot.

Comment 5 Dan Callaghan 2017-05-18 06:58:10 UTC
Added the anamon3 alias in httpd but the new script still fails, like this:

...
  File "/tmp/anamon", line 76, in uploadWrapper
    contents = str.encode(fo.read(blocksize))
  File "/usr/lib64/python3.6/encodings/ascii.py", line 26, in decode
    return codecs.ascii_decode(input, self.errors)[0]
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 104603: ordinal not in range(128)

Python also prints this warning on startup:

https://www.python.org/dev/peps/pep-0538/#legacy-c-locale-warning-during-runtime-initialization

which means Anaconda is still running with LC_CTYPE=C. That's probably something that should be fixed in Anaconda though...

Comment 6 Dan Callaghan 2017-05-18 07:16:31 UTC
I should probably also add a test case into workflow-selftest which checks that Anaconda logs are properly uploaded, hmm.

Comment 7 Dan Callaghan 2017-05-18 07:16:52 UTC
https://gerrit.beaker-project.org/5694 add httpd alias for anamon3
https://gerrit.beaker-project.org/5695 anamon3: read files in binary mode

Comment 10 Dan Callaghan 2017-05-30 07:07:59 UTC
Beaker 24.3 has been released.